# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class EndpointHealthData(Model):
    """The health data for an endpoint.

    :param endpoint_id: Id of the endpoint
    :type endpoint_id: str
    :param health_status: Health status. Possible values include: 'unknown',
     'healthy', 'unhealthy', 'dead'
    :type health_status: str or ~azure.mgmt.iothub.models.EndpointHealthStatus
    """

    _attribute_map = {
        'endpoint_id': {'key': 'endpointId', 'type': 'str'},
        'health_status': {'key': 'healthStatus', 'type': 'str'},
    }

    def __init__(self, *, endpoint_id: str=None, health_status=None, **kwargs) -> None:
        super(EndpointHealthData, self).__init__(**kwargs)
        self.endpoint_id = endpoint_id
        self.health_status = health_status
